<?php
/**
 * The template for displaying Archive pages.
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package commercegurus
 */
$economistcommercegurus_blog_sidebar = '';
$economistcommercegurus_blog_sidebar = economistcommercegurus_getoption( 'economistcommercegurus_blog_sidebar' );

$economistcommercegurus_news_layout	 = '';
$economistcommercegurus_news_layout	 = 'default-news';
$economistcommercegurus_islayout	 = '';

if ( isset( $_GET['blogsidebar'] ) ) {
	$economistcommercegurus_blog_sidebar = $_GET['blogsidebar'];
}

if ( isset( $economistcommercegurus_options['economistcommercegurus_news_layout'] ) ) {
	$economistcommercegurus_news_layout = $economistcommercegurus_options['economistcommercegurus_news_layout'];
}

if ( isset( $_GET['newslayout'] ) ) {
	$economistcommercegurus_news_layout = $_GET['newslayout'];
}
?>

<?php
if ( $economistcommercegurus_news_layout == 'grid-news' ) {
	$economistcommercegurus_islayout = 'grid-news';
}

if ( $economistcommercegurus_news_layout == 'grid-news-two' ) {
	$economistcommercegurus_islayout = 'grid-news';
}

$economistcommercegurus_share_options	 = '';
$economistcommercegurus_share_options	 = economistcommercegurus_getoption( 'economistcommercegurus_share_options' );

get_header();
?>
<?php if ( have_posts() ) : ?>


	<div class="header-wrapper">
		<div class="cg-hero-bg"></div>
		<div class="overlay"></div> 

		<div class="container">
			<div class="row">
				<div class="col-lg-12 col-md-12">
					<header class="entry-header">
						<?php if ( function_exists( 'yoast_breadcrumb' ) ) { ?>
							<?php yoast_breadcrumb( '<p class="sub-title">', '</p>' ); ?>		
						<?php } ?>
						<h1 class="cg-page-title">
							<?php
							if ( is_category() ) :
								single_cat_title();

							elseif ( is_tag() ) :
								single_tag_title();

							elseif ( is_author() ) :
								/* Queue the first post, that way we know
								 * what author we're dealing with (if that is the case).
								 */
								the_post();
								printf( esc_html__( 'Author: %s', 'economist' ), '<span class="vcard">' . get_the_author() . '</span>' );
								/* Since we called the_post() above, we need to
								 * rewind the loop back to the beginning that way
								 * we can run the loop properly, in full.
								 */
								rewind_posts();

							elseif ( is_day() ) :
								printf( esc_html__( 'Day: %s', 'economist' ), '<span>' . get_the_date() . '</span>' );

							elseif ( is_month() ) :
								printf( esc_html__( 'Month: %s', 'economist' ), '<span>' . get_the_date( 'F Y' ) . '</span>' );

							elseif ( is_year() ) :
								printf( esc_html__( 'Year: %s', 'economist' ), '<span>' . get_the_date( 'Y' ) . '</span>' );

							elseif ( is_tax( 'post_format', 'post-format-aside' ) ) :
								esc_html_e( 'Asides', 'economist' );

							elseif ( is_tax( 'post_format', 'post-format-image' ) ) :
								esc_html_e( 'Images', 'economist' );

							elseif ( is_tax( 'post_format', 'post-format-video' ) ) :
								esc_html_e( 'Videos', 'economist' );

							elseif ( is_tax( 'post_format', 'post-format-quote' ) ) :
								esc_html_e( 'Quotes', 'economist' );

							elseif ( is_tax( 'post_format', 'post-format-link' ) ) :
								esc_html_e( 'Links', 'economist' );

							else :
								esc_html_e( 'Archives', 'economist' );

							endif;
							?>                            
						</h1>
					</header>
				</div>

			</div>
			<?php
			if ( $economistcommercegurus_share_options == 'yes' ) {
				economistcommercegurus_get_share_options_title();
			}
			?>
		</div>
	</div>
	</div>

	<?php
	if ( $economistcommercegurus_share_options == 'yes' ) {
		economistcommercegurus_get_share_options_content();
	}
	?>

<?php endif; ?>

<div class="container">
    <div class="content">
        <div class="row row-eq-height">
			<?php if ( ( $economistcommercegurus_blog_sidebar == 'default' ) || ( $economistcommercegurus_blog_sidebar == '' ) ) { ?>

				<div class="col-lg-9 col-md-9 col-sm-12 col-md-push-3 col-lg-push-3">
					<div id="primary" class="content-area with-left-sidebar">
						<main id="main" class="site-main <?php echo $economistcommercegurus_islayout ?>">
							<?php if ( have_posts() ) : ?>
								<div>
									<?php /* Start the Loop */ ?>
									<?php while ( have_posts() ) : the_post(); ?>
										<?php
										/* Include the Post-Format-specific template for the content.
										 * If you want to override this in a child theme, then include a file
										 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
										 */
										get_template_part( 'content', get_post_format() );
										?>
									<?php endwhile; ?>
									<?php economistcommercegurus_numeric_posts_nav(); ?>
								<?php else : ?>
									<?php get_template_part( 'no-results', 'archive' ); ?>
								<?php endif; ?>
							</div>
						</main><!-- #main -->
					</div><!-- #primary -->
				</div><!--/9 -->
				<div class="col-lg-3 col-md-3 col-sm-12 col-md-pull-9 col-lg-pull-9 sidebar">
					<?php get_sidebar(); ?>
				</div>

			<?php } else if ( $economistcommercegurus_blog_sidebar == 'right' ) { ?>

				<div class="col-lg-9 col-md-9 col-sm-12">
					<div id="primary" class="content-area with-right-sidebar">
						<main id="main" class="site-main <?php echo $economistcommercegurus_islayout ?>">
							<?php if ( have_posts() ) : ?>
								<div>
									<?php /* Start the Loop */ ?>
									<?php while ( have_posts() ) : the_post(); ?>
										<?php
										/* Include the Post-Format-specific template for the content.
										 * If you want to override this in a child theme, then include a file
										 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
										 */
										get_template_part( 'content', get_post_format() );
										?>
									<?php endwhile; ?>
									<?php economistcommercegurus_numeric_posts_nav(); ?>
								<?php else : ?>
									<?php get_template_part( 'no-results', 'archive' ); ?>
								<?php endif; ?>
							</div>
						</main><!-- #main -->
					</div><!-- #primary -->
				</div><!--/9 -->
				<div class="col-lg-3 col-md-3 col-sm-12 sidebar">
					<?php get_sidebar(); ?>
				</div>

			<?php } else if ( $economistcommercegurus_blog_sidebar == 'none' ) { ?>
				<div class="col-lg-12 col-md-12 col-sm-12">
					<section id="primary" class="content-area">
						<main id="main" class="site-main <?php echo $economistcommercegurus_islayout ?>">
							<?php if ( have_posts() ) : ?>
								<div>
									<?php /* Start the Loop */ ?>
									<?php while ( have_posts() ) : the_post(); ?>
										<?php
										/* Include the Post-Format-specific template for the content.
										 * If you want to override this in a child theme, then include a file
										 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
										 */
										get_template_part( 'content', get_post_format() );
										?>
									<?php endwhile; ?>
									<?php economistcommercegurus_numeric_posts_nav(); ?>
								<?php else : ?>
									<?php get_template_part( 'no-results', 'archive' ); ?>
								<?php endif; ?>
							</div>
						</main><!-- #main -->
					</section><!-- #primary -->
				</div><!--/12 -->
			<?php } ?>
        </div><!--/row -->
    </div><!--/content -->
</div><!--/container -->

<?php get_footer(); ?>