<?php
/**
 * The Output of the Advanced Sidebar Page Widget
 *
 * @author Mat Lipe
 *
 * @since  6.2.4
 *
 * @example to edit, create a file named page_list.php and
 *          put in a folder in the your theme called 'advanced-sidebar-menu.
 *          Copy the contents of the file into that file and edit at will.
 *
 * @notice  Do not edit this file in its original location or it will break on upgrade
 */
$asm = Advanced_Sidebar_Menu_Menu::get_current();
$menu = Advanced_Sidebar_Menu_List_Pages::factory( $asm );
$instance = $asm->get_widget_instance();
$_args = $menu->get_args();

/** @var Advanced_Sidebar_Menu_Menu $asm */
$asm->title();

$content = '';

#-- list the parent page if chosen
if( $asm->include_parent() ){
	$content .= '<ul class="parent-sidebar-menu" >';
	$_args[ 'include' ] = $asm->top_id;
	$content .= wp_list_pages( $_args );
}


//If there are children start the Child Sidebar Menu
if( $child_pages ){
	$content .= '<ul class="child-sidebar-menu">';

	#-- If they want all the pages displayed always
	if( $asm->display_all() ){
		unset( $_args[ 'include' ] );
		$_args[ 'child_of' ] = $asm->top_id;
		$_args[ 'depth' ] = $instance[ 'levels' ];
		$content .= wp_list_pages( $_args );

	} else {
		$content .= $menu->list_pages();

	}

	#-- Close the First Level menu
	$content .= '</ul><!-- End child-sidebar-menu -->';

}
if( $asm->include_parent() ){
	$content .= '</li></ul><!-- .parent-sidebar-menu -->';
}

return $content;