<?php



/* monex Custom Post Type */

add_action('init', 'monex_cpt_portfolio');
add_action('init', 'monex_cpt_faq');
add_action('init', 'monex_cpt_testimonial');
add_action('init', 'monex_cpt_team');
add_action('init', 'monex_cpt_partners');
add_action('init', 'monex_cpt_careers');
add_action('init', 'monex_cpt_offices');


 
function monex_cpt_portfolio(){
			global $data; 
			
			$labels = array(
			'name' => _x('Portfolio','portfolio','monex'),
			'singular_name' => _x('Portfolio','portfolio','monex'),
			'add_new' => __('Add New', 'monex'),
			'add_new_item' => __('Add New Portfolio Item','monex'),
			'edit_item' => __('Edit Item','monex'),
			'new_item' => __('New Item','monex'),
			'view_item' => __('View Item','monex'),
			'search_items' => __('Search Items','monex'),
			'not_found' =>  __('No items found','monex'),
			'not_found_in_trash' => __('No items found in Trash','monex'), 
			'parent_item_colon' => ''
			);
			$args = array(
			'labels' => $labels,
			'public' => true,
			'show_ui' => true, 
			'query_var' => true,
			'rewrite' => true,
			'capability_type' => 'page',
			'hierarchical' => false,
			'menu_position' => 20,
			'supports' => array('title','editor','thumbnail','page-attributes')
			); 
			
			register_post_type('portfolio',$args);
			
			
			register_taxonomy( "portfolio-categories", 
			array( 	"portfolio" ), 
			array( 	"hierarchical" => true,
			"labels" => array('name'=>"Category",'add_new_item'=>"Add New Field"), 
			"singular_label" => __('Field','monex'), 
			"rewrite" => array( 'slug' => 'fields', // This controls the base slug that will display before each term 
			'with_front' => false)
			));

			
}// EOF portfolio CPT


function monex_cpt_faq(){
			
			global $data; 

			$labels = array(
			'name' => _x('FAQs','FAQs', 'monex'),
			'singular_name' => _x('FAQ','FAQs','monex'),
			'add_new' => __('Add New', 'monex'),
			'add_new_item' => __('Add New FAQ','monex'),
			'edit_item' => __('Edit FAQ','monex'),
			'new_item' => __('New FAQ','monex'),
			'view_item' => __('View FAQ','monex'),
			'search_items' => __('Search FAQs','monex'),
			'not_found' =>  __('No FAQs found','monex'),
			'not_found_in_trash' => __('No FAQs found in Trash','monex'),
			'parent_item_colon' => ''
		  );
		  $args = array(
			'labels' => $labels,
			'public' => true,
			'publicly_queryable' => true,
			'show_ui' => true,
			'query_var' => true,
			'rewrite' => true,
			'capability_type' => 'post',
			'hierarchical' => false,
			'menu_position' => 5,
			'supports' => array('title','editor','thumbnail')
		  );
		
		   
		  register_post_type('faq',$args);
		  
		  
		  register_taxonomy( "faq-categories", 
			array( 	"faq" ), 
			array( 	"hierarchical" => true,
			"labels" => array('name'=>"Category",'add_new_item'=>"Add New Field"), 
			"singular_label" => __('Field','monex'), 
			"rewrite" => array( 'slug' => 'fields', // This controls the base slug that will display before each term 
			'with_front' => false)
			));

}//EOF FAQ CPT


function monex_cpt_testimonial(){
			global $data; 
			$labels = array(
				'name' => __('Testimonials','Testimonials','monex'),
				'singular_name' => __('Testimonial','Testimonials','monex'),
				'add_new' => __('Add New','monex'),
				'add_new_item' => __('Add New Testimonial','monex'),
				'edit_item' => __('Edit Testimonial','monex'),
				'new_item' => __('New Testimonial','monex'),
				'view_item' => __('View Testimonial','monex'),
				'search_items' => __('Search Testimonials','monex'),
				'not_found' =>  __('No Testimonials found','monex'),
				'not_found_in_trash' => __('No Testimonials in the trash','monex'),
				'parent_item_colon' => '',
			);
		 
			$args = array(
			'labels' => $labels,
			'public' => true,
			'publicly_queryable' => true,
			'show_ui' => true,
			'query_var' => true,
			'rewrite' => true,
			'capability_type' => 'post',
			'hierarchical' => false,
			'menu_position' => 5,
			'supports' => array('title','editor','thumbnail')
		  );
		  
		  register_post_type('testimonials',$args);
		  
}//EOF Testimonial CPT


function monex_cpt_team(){
			global $data; 
 			$labels = array(
			'name' => _x('Team','team', 'monex'),
			'singular_name' => _x('Team','Team', 'monex'),
			'add_new' => __('Add New', 'monex'),
			'add_new_item' => __('Add New Team','monex'),
			'edit_item' => __('Edit Team','monex'),
			'new_item' => __('New Team','monex'),
			'view_item' => __('View Team','monex'),
			'search_items' => __('Search Team','monex'),
			'not_found' =>  __('No Team found','monex'),
			'not_found_in_trash' => __('No Team found in Trash','monex'),
			'parent_item_colon' => ''
		  );
		  $args = array(
			'labels' => $labels,
			'public' => true,
			'publicly_queryable' => true,
			'show_ui' => true,
			'query_var' => true,
			'rewrite' => true,
			'capability_type' => 'post',
			'hierarchical' => false,
			'menu_position' => 5,
			'supports' => array('title','editor','thumbnail','page-attributes','excerpt')
		  );
		  
		  register_post_type('team',$args);
		 
}//EOF Team-Member CPT		


function monex_cpt_partners(){
			global $data; 
			
			$labels = array(
			'name' => _x('Partners','partners','monex'),
			'singular_name' => _x('Partners','partners','monex'),
			'add_new' => __('Add New', 'monex'),
			'add_new_item' => __('Add New Partners Item','monex'),
			'edit_item' => __('Edit Item','monex'),
			'new_item' => __('New Item','monex'),
			'view_item' => __('View Item','monex'),
			'search_items' => __('Search Items','monex'),
			'not_found' =>  __('No items found','monex'),
			'not_found_in_trash' => __('No items found in Trash','monex'), 
			'parent_item_colon' => ''
			);
			$args = array(
			'labels' => $labels,
			'public' => true,
			'show_ui' => true, 
			'query_var' => true,
			'rewrite' => true,
			'capability_type' => 'page',
			'hierarchical' => false,
			'menu_position' => 20,
			'supports' => array('title','editor','thumbnail','page-attributes')
			); 
			
			register_post_type('partners',$args);

			
}// EOF Registered Users


function monex_cpt_careers(){
			global $data; 
 			$labels = array(
			'name' => _x('Careers','careers', 'monex'),
			'singular_name' => _x('Career','careers', 'monex'),
			'add_new' => __('Add Career', 'monex'),
			'add_new_item' => __('Add New Career','monex'),
			'edit_item' => __('Edit Career','monex'),
			'new_item' => __('New Career','monex'),
			'view_item' => __('View Career','monex'),
			'search_items' => __('Search Careers','monex'),
			'not_found' =>  __('No Career found','monex'),
			'not_found_in_trash' => __('No Career found in Trash','monex'),
			'parent_item_colon' => ''
		  );
		  $args = array(
			'labels' => $labels,
			'public' => true,
			'publicly_queryable' => true,
			'show_ui' => true,
			'query_var' => true,
			'rewrite' => true,
			'capability_type' => 'post',
			'hierarchical' => false,
			'menu_position' => 5,
			'supports' => array('title','editor','thumbnail','page-attributes')
		  );
		  
		  register_post_type('careers',$args);
		 
}//EOF Team-Member CPT	

function monex_cpt_offices(){
			global $data; 
 			$labels = array(
			'name' => _x('Offices','offices', 'monex'),
			'singular_name' => _x('Office','offices', 'monex'),
			'add_new' => __('Add Office', 'monex'),
			'add_new_item' => __('Add New Office','monex'),
			'edit_item' => __('Edit Office','monex'),
			'new_item' => __('New Office','monex'),
			'view_item' => __('View Office','monex'),
			'search_items' => __('Search Office','monex'),
			'not_found' =>  __('No Office found','monex'),
			'not_found_in_trash' => __('No Office found in Trash','monex'),
			'parent_item_colon' => ''
		  );
		  $args = array(
			'labels' => $labels,
			'public' => true,
			'publicly_queryable' => true,
			'show_ui' => true,
			'query_var' => true,
			'rewrite' => true,
			'capability_type' => 'page',
			'hierarchical' => false,
			'menu_position' => 6,
			'supports' => array('title','page-attributes')
		  );
		  
		  register_post_type('offices',$args);
		 
}//EOF Team-Member CPT			
			

?>