<?php 
		/* Counter Up  ---------------------------------------------*/
	
	add_shortcode('vc_loancalc', 'vc_monex_loancalc');
	
	function vc_monex_loancalc($atts, $content = null) { 
		extract(shortcode_atts(array(
					'color_style' => '',
					'type' => '',
					'icon' => 'Select Icon',
					'loancalc' => '',
					'loancalc_text' => ''
				), $atts)); 
		 
		
		//initial variables
		$out='';
		
		$dark_light_color = "";
		
		if($color_style == "light") {
		$dark_light_color = "jx-light";
		} elseif ($color_style == "dark") {
		$dark_light_color = "jx-dark";
		} 
		
		$out .='<div class="jx-monex-calculator-loan '.$dark_light_color.'">
				<form id="loan-calculator" action="#">	
				<input type="text" name="amount" id="amount" placeholder="'.esc_html__('Amount','monex').'"/>				
				<input type="text" name="interest" id="interest" placeholder="'.esc_html__('Interest Rate','monex').'" />				
				<input type="text" name="years" id="years" placeholder="'.esc_html__('Years to pay','monex').'"/>				
				<input type="submit" value="'.esc_html__('Calculate','monex').'"/>				
				</form>			
				<div class="monthly-payment"></div>
		
		</div>';
		
		$out .="<script type='text/javascript'>

				jQuery(document).ready(function() {
				
				jQuery('#loan-calculator').on('submit', function(e) {
				
				e.preventDefault();
				
				var P=jQuery('#amount').val();
				
				var i=jQuery('#interest').val()/100/12;
				
				var n=jQuery('#years').val()*12;
				
				var res=P*(((Math.pow((1+i),n))*i)/((Math.pow((1+i),n))-1));
				
				res=res.toFixed(2);
				
				jQuery('.monthly-payment').html('Your montly payment will be '+res+'€');
				
				/**
				
				interest=interest in %/100/12
				
				mon=years of loan*12
				
				Monthly payment=amount*((interest*((interest+1)^mon))/(((interest+1)^mon)-1))
				
				**/
				
				})
				
				})
				
				</script>";
 
		//return output
		return $out;
	}
	
	add_action( 'vc_before_init', 'vc_loancalc' );
	
	
	function vc_loancalc() {	
		vc_map(array(
		  "name" => esc_html__( "Loan Calculator", "TEXT_DOMAIN" ),
		  "base" => "vc_loancalc",
		  "class" => "",
		  "icon" => get_template_directory_uri().'/images/icon/vc_count.png',
		  "category" => esc_html__( "Monex Shortcodes", "TEXT_DOMAIN"),
		  "description" => __('Add Loan Calculator','TEXT_DOMAIN'),
		  "params" => array(
					 	
			array(
				"type" => "dropdown",
				"class" => "",
				"heading" => __("Select Your Color Style",'TEXT_DOMAIN'),
				"param_name" => "color_style",
				"value" => array(   
					__('Select Style', 'TEXT_DOMAIN') => 'Select Your Color Style',
					__('Light', 'TEXT_DOMAIN') => 'light',
					__('Dark', 'TEXT_DOMAIN') => 'dark'
					),
				"description" => esc_html__( "Select Your Color Style", "TEXT_DOMAIN" )
			),
									
			array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__( "Count Number", "TEXT_DOMAIN" ),
				"param_name" => "loancalc",
				"value"=> "",
				"description" => esc_html__( "Add Count Up Number", "TEXT_DOMAIN" )
			 ),
			 
			 array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__( "Count Text", "TEXT_DOMAIN" ),
				"param_name" => "loancalc_text",
				"value"=> "",
				"description" => esc_html__( "Add Count Up Text", "TEXT_DOMAIN" )
			 )					 
		  )
	   ));
    
	}
?>