<?php 
	/* Subscribe  ---------------------------------------------*/
	
	add_shortcode('map', 'monex_map');
	
	function monex_map($atts, $content = null) { 
		extract(shortcode_atts(array(
			"map_center_lat" =>"Set Value",
			"map_center_lng" =>"Set Value",
			"address_1" =>"Newyork",
			"address_2" =>"USA",
			"address_3" =>"UK",
			"address_4" =>"China",
			"address_5" =>"Japan",
			"address_6" =>"Egypt",
			"map_marker"=>'Set Image',
			"height"=>'400px',
			"zoom_option"=>'9',
			"map_style"=>'[{"featureType":"all","elementType":"all","stylers":[{"saturation":-100},{"gamma":0.5}]}]'
		
		), $atts)); 
		 
		global $monex_data;	 
		
		//initial variables
		$out=''; 
		
		$map_id= 'map-'.rand(0,1000);
		$imgSrc='';
		
		$img = wp_get_attachment_image_src($map_marker, "thumbnail");
	 		$imgSrc = $img[0];
		
		
		
		
		
			//function code
	
			$out ='
			<div class="jx-monex-container">
				<div class="container"></div>
				<div class="jx-monex-google-map">
					<div id="'.$map_id.'" class="jx-monex-map" style="height:'.$height.';"></div>
				</div>
			</div>
			';
			$out.='
			<script type="text/javascript">
           
            google.maps.event.addDomListener(window, "load", init);     	
			
			
            function init() {
                // Basic options for a simple Google Map
                // For more options see: https://developers.google.com/maps/documentation/javascript/reference#MapOptions
                
				var isDraggable = jQuery(document).width() > 480 ? true : false;
				
				
				var mapOptions = {
                    scrollwheel: false,
					draggable: isDraggable,
					// How zoomed in you want the map to start at (always required)
                    zoom: '.$zoom_option.',
                    // The latitude and longitude to center the map (always required)
					center: new google.maps.LatLng('.$map_center_lat.', '.$map_center_lng.'),
                    // How you would like to style the map. 
                    // This is where you would paste any style found on Snazzy Maps.
                    styles: '.$map_style.'
                };
                // Get the HTML DOM element that will contain your map 
                // We are using a div with id="map" seen below in the <body>
    
                
				var mapElement = document.getElementById("'.$map_id.'");
                // Create the Google Map using our element and options defined above
                
				
				var map = new google.maps.Map(mapElement, mapOptions);
                // Lets also add a marker while we are at it
                
				var addresses = ["'.$address_1.'", "'.$address_2.'", "'.$address_3.'","'.$address_4.'","'.$address_5.'","'.$address_6.'"];
				
				for (var x = 0; x < addresses.length; x++) {
					jQuery.getJSON("http://maps.googleapis.com/maps/api/geocode/json?address="+addresses[x]+"&sensor=false", null, function (data) {
						var p = data.results[0].geometry.location
						var latlng = new google.maps.LatLng(p.lat, p.lng);
						new google.maps.Marker({
							position: latlng,
							icon: "'.$imgSrc.'",
							map: map
						});
			
					});
				}

            }
      </script>
			';
		//return output
		return $out;
	}
	//Visual Composer
	add_action( 'vc_before_init', 'vc_monex_map' );
	
	function vc_monex_map() {	
		vc_map(array(
		  "name" => esc_html__( "Google Map", "TEXT_DOMAIN" ),
		  "base" => "map",
		  "class" => "",
		  "icon" => get_template_directory_uri().'/images/icon/vc_map.png',
		  "category" => esc_html__( "Monex Shortcodes", "TEXT_DOMAIN"),
		  "description" => __('Add Map','TEXT_DOMAIN'),
		  "params" => array(
			
			
			array(
				 "type" => "dropdown",
				 "class" => "",
				 "heading" => __("Select Your Google Map Zoom",'TEXT_DOMAIN'),
				 "param_name" => "zoom_option",
				 "value" => array(   
					__('Set Zoom Value', 'TEXT_DOMAIN') => 'Select Your Zoom',
					__('1', 'TEXT_DOMAIN') => '1',
					__('2', 'TEXT_DOMAIN') => '2',
					__('3', 'TEXT_DOMAIN') => '3',
					__('4', 'TEXT_DOMAIN') => '4',
					__('5', 'TEXT_DOMAIN') => '5',
					__('6', 'TEXT_DOMAIN') => '6',
					__('7', 'TEXT_DOMAIN') => '7',
					__('8', 'TEXT_DOMAIN') => '8',
					__('9', 'TEXT_DOMAIN') => '9',
					__('10', 'TEXT_DOMAIN') => '10',
					__('11', 'TEXT_DOMAIN') => '11',
					__('12', 'TEXT_DOMAIN') => '12',
					__('13', 'TEXT_DOMAIN') => '13',
					__('14', 'TEXT_DOMAIN') => '14',
					__('15', 'TEXT_DOMAIN') => '15',
					__('16', 'TEXT_DOMAIN') => '16',
					__('17', 'TEXT_DOMAIN') => '17',
					__('18', 'TEXT_DOMAIN') => '18',
					__('19', 'TEXT_DOMAIN') => '19',
						),
			),
			
		 	array(
				"type" => "attach_image",
				"class" => "",
				"heading" => esc_html__( "Map Marker", "TEXT_DOMAIN" ),
				"param_name" => "map_marker",
				"value" => "Set Map Marker",
				"description" => esc_html__( "Add icon for map marker", "TEXT_DOMAIN" )
			 ),	
					 
			array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__( "Lat", "TEXT_DOMAIN" ),
				"param_name" => "map_center_lat",
				"value" => "40.6700", 
				"description" => esc_html__( "Add Lat", "TEXT_DOMAIN" )
			 ),	
			array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__( "lng", "TEXT_DOMAIN" ),
				"param_name" => "map_center_lng",
				"value" => "-73.9400",
				"description" => esc_html__( "Add Lng", "TEXT_DOMAIN" )
			 ),
			 
			array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__( "Height", "TEXT_DOMAIN" ),
				"param_name" => "height",
				"value" => "400px", 
				"description" => esc_html__( "Set map height", "TEXT_DOMAIN" )
			 ),
			 
			 array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__( "Address Marker 1", "TEXT_DOMAIN" ),
				"param_name" => "address_1",
				"value" => "USA", 
				"description" => esc_html__( "Set address 1", "TEXT_DOMAIN" )
			 ),
			 
			 array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__( "Address Marker 2", "TEXT_DOMAIN" ),
				"param_name" => "address_2",
				"value" => "USA", 
				"description" => esc_html__( "Set address 2", "TEXT_DOMAIN" )
			 ),
			 
			 array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__( "Address Marker 3", "TEXT_DOMAIN" ),
				"param_name" => "address_3",
				"value" => "USA", 
				"description" => esc_html__( "Set address 3", "TEXT_DOMAIN" )
			 ),
			 
			 array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__( "Address Marker 4", "TEXT_DOMAIN" ),
				"param_name" => "address_4",
				"value" => "USA", 
				"description" => esc_html__( "Set address 4", "TEXT_DOMAIN" )
			 ),
			 
			 array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__( "Address Marker 5", "TEXT_DOMAIN" ),
				"param_name" => "address_5",
				"value" => "USA", 
				"description" => esc_html__( "Set address 5", "TEXT_DOMAIN" )
			 ),
			 
			 array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__( "Address Marker 6", "TEXT_DOMAIN" ),
				"param_name" => "address_6",
				"value" => "USA", 
				"description" => esc_html__( "Set address 6", "TEXT_DOMAIN" )
			 ),
			 
			 array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__( "Map Color Style", "TEXT_DOMAIN" ),
				"param_name" => "map_style",
				"value" => '[{"featureType":"all","elementType":"all","stylers":[{"saturation":-100},{"gamma":0.5}]}]', 
				"description" => esc_html__( "Map style from https://snazzymaps.com/", "TEXT_DOMAIN" )
			 ),	
			 
			 
	
			 
		  )
	   )); 
	}
?>