<?php 
	/* Media Box  ---------------------------------------------*/
	
	add_shortcode('blog', 'monex_blog');
	
	function monex_blog($atts, $content = null) { 
		extract(shortcode_atts(array(
					'post_count' => '',
					'color_style' => 'light'
					
				), $atts)); 
		 
		
		//initial variables
		$out=''; 
		$image_size ='monex_small-blog';
		global $wp_embed;
		global $data;
		
		
		if($color_style=='light'):
			$color_style_class='jx-light';
		elseif($color_style=='dark'):
			$color_style_class='jx-dark';
		endif;
		
		$out .='<div class="jx-monex-blog-2 '.$color_style_class.'"><div class="row">'; 		
		$args = array('post_type' => 'post','orderby' => 'date', 'order' => 'DESC','showposts' => 3 ); 
		$loop = new WP_Query( $args ); 		
		while ( $loop->have_posts() ) : $loop->the_post();  
		
			$cats = get_the_category(); 
		    $cat_name = $cats[0]->name; 	
		//function code
		
		switch(get_post_format()) {
		case 'link':
			$format_post_class = 'link';
			break;
		case 'image':
			$format_post_class = 'photo';
			break;
		case 'quote':
			$format_post_class = 'quote-left';
			break;
		case 'video':
			$format_post_class = 'video-camera';
			break;
		case 'audio':
			$format_post_class = 'volume-up';
			break;
		case 'Aside':
			$format_post_class = 'comments';
			break;
		default:
			$format_post_class = 'file-text-o';
			break;
	}
		
			$post_image_id = get_post_thumbnail_id(get_the_id());
		  	$image_url = wp_get_attachment_image_src($post_image_id, 'large');
		  	$image_small = wp_get_attachment_image_src($post_image_id, $image_size);
			
			$out .='
			<div class="blog-item col-sm-4">
				<div class="image">
					<a href="'.esc_url(get_permalink()).'">
					<img src="'.$image_small[0].'" class="img-responsive" alt="">
					<div class="overlay2"><span>+</span></div>
					</a>
				</div>
				<div class="title"><a href="'.esc_url(get_permalink()).'">'.get_the_title().'</a></div>
				<div class="date"><i class="fa fa-clock-o"></i> '.get_the_date().'</div>
			</div>';				
				 
			endwhile;
			
			//wp_reset_query(); 
		$out .='</div></div>';
		//return output
		return $out;
	}
	//Visual Composer
	
	
	add_action( 'vc_before_init', 'vc_blog' );
	
	
	function vc_blog() {	
		vc_map(array(
      "name" => esc_html__( "Blog", "TEXT_DOMAIN" ),
      "base" => "blog",
      "class" => "",
	  "icon" => get_template_directory_uri().'/images/icon/vc_news.png',
      "category" => esc_html__( "Monex Shortcodes", "TEXT_DOMAIN"),
	  "description" => __('Add Blog','TEXT_DOMAIN'),
      "params" => array(
		 		 
        
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Select Color Style",'TEXT_DOMAIN'),
			"param_name" => "color_style",
			"value" => array(   
				__('Select Color Style', 'TEXT_DOMAIN') => 'Select Color Style',
				__('Light', 'TEXT_DOMAIN') => 'light',
				__('Dark', 'TEXT_DOMAIN') => 'dark'
				),
		),
		
		array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__( "Post Count", "TEXT_DOMAIN" ),
            "param_name" => "post_count",
			"value" => "3",
            "description" => esc_html__( "Set post numbers", "TEXT_DOMAIN" )
         )
		 
		
      )
   )); 
	}
?>