<?php 
	/* Section Title  ---------------------------------------------*/
	
	add_shortcode('section_title', 'monex_section_title');
	
	function monex_section_title($atts, $content = null) { 
		extract(shortcode_atts(array(
			'type' => '',
			'title' => 'Type Title 1',
			'title_2' => 'Type Title 2',			
			'sub_title' => '',
			'color_style' => '',
			), $atts)); 
		 
		
		//initial variables
		$out=''; 
		$color_class='';
		
		if ($color_style =='light'):
		$color_class='jx-light';
		else:
		$color_class='jx-dark';
		endif;
		
		//function code
		
		
		switch($type){ 
			case '1':
			$out  ='
				<div class="jx-monex-title-1 '.$color_class.'">
					<h2>'.$title.'</h2>
				</div>
				<!-- Section Title -->		
			'; 
			break;
			
			case '2':
			$out  ='
				<div class="jx-monex-section-title-2 '.$color_class.'">
					<div class="jx-monex-title jx-monex-uppercase">'.$title.'</div>
					<div class="jx-monex-seperator-hr"></div>
				</div>
			'; 
			break;
			
			case '3':
			$out  ='
				<div class="jx-monex-section-title-3 '.$color_class.'">
					<h1>'.$title.'<br>
					<span>'.$title_2.'</span></h1>
					<p>'.$sub_title.'</p>					
				</div>
			'; 
			break;
			
			case '4':
			$out  ='
				<div class="jx-monex-section-title-4 '.$color_class.'">
					<h3>'.$title.'<br><span>'.$title_2.'</span></h3>					
				</div>
			'; 
			break;			
		}
		
		//return output
		return $out;
	}
	
	
	
	
	
	//Visual Composer
	
	add_action( 'vc_before_init', 'vc_section_title' );
	
	
	function vc_section_title() {	
		vc_map(array(
		  "name" => esc_html__( "Section Title", "TEXT_DOMAIN" ),
		  "base" => "section_title",
		  "class" => "",
		  "icon" => get_template_directory_uri().'/images/icon/vc_section_title.png',
		  "category" => esc_html__( "Monex Shortcodes", "TEXT_DOMAIN"),
		  "description" => __('Add Title','TEXT_DOMAIN'),
		  "params" => array(
					 
	
			array(
				 "type" => "dropdown",
				 "class" => "",
				 "heading" => __("Select Style",'TEXT_DOMAIN'),
				 "param_name" => "type",
				 "value" => array(   
					__('Select Style', 'TEXT_DOMAIN') => 'none',
					__('Style A', 'TEXT_DOMAIN') => '1',
					__('Style B', 'TEXT_DOMAIN') => '2',
					__('Style C', 'TEXT_DOMAIN') => '3',
					__('Style D', 'TEXT_DOMAIN') => '4'
						),
			),
			
			array(
				 "type" => "dropdown",
				 "class" => "",
				 "heading" => __("Select Color Style",'TEXT_DOMAIN'),
				 "param_name" => "color_style",
				 "value" => array(   
						__('Select Color', 'TEXT_DOMAIN') => 'none',
						__('Light', 'TEXT_DOMAIN') => 'light',
						__('Dark', 'TEXT_DOMAIN') => 'dark',
						),
			),
			
			array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__( "Title", "TEXT_DOMAIN" ),
				"param_name" => "title",
				"value" => "Projects in Progress",
				"description" => esc_html__( "Type title here", "TEXT_DOMAIN" )
			 ),
			 
			 array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__( "Title 2 (For Style C & D)", "TEXT_DOMAIN" ),
				"param_name" => "title_2",
				"value" => "Projects in Progress",
				"description" => esc_html__( "Type title here", "TEXT_DOMAIN" )
			 ),	
			 
			  array(
				"type" => "textarea",
				"class" => "",
				"heading" => esc_html__( "Subtitle", "TEXT_DOMAIN" ),
				"param_name" => "sub_title",
				"value" => "",
				"description" => esc_html__( "Type subtitle here", "TEXT_DOMAIN" )
			 )			 
		  )
	   ));
    
	}
?>