<?php 
	/* Testimonials  ---------------------------------------------*/
	
	add_shortcode('testimonials', 'monex_testimonials');
	
	function monex_testimonials($atts, $content = null) { 
		extract(shortcode_atts(array(
				'type' => '1',
				'style' => 'light',
				'size' => '',
				'post_count' => '',
				'border' => 'no'
				), $atts)); 
		 
		
		//initial variables
		$out=''; 
		$text_size='';
		$text_style='';
		$border_css='';
				
		if ($style=='light'):
		$text_style='jx-light';
		elseif($style=='dark'):
		$text_style='jx-dark';
		endif;
		
		if ($type=='1'):
			$testimonial_style="owl-carousel owl-theme";
			$test_style='jx-monex-testimonials jx-testimonial-1';
		elseif($type=='2'):
			$testimonial_style="";
			$test_style='jx-testimonial-2';
		endif;
		
		
		if ($border=='yes'):
		$border_css='jx-monex-border-light';
		else:
		$border_css='';
		endif;
		
		//initial variables
		$out=''; 
		
		$out ='<div class="'.$test_style.'"><div id="testimonials" class="'.$testimonial_style.' '.$text_style.'">';
		
		$args = array('post_type' => 'testimonials','orderby' => 'date', 'order' => 'ASC','showposts' => $post_count ); 
	
	
			$loop = new WP_Query( $args ); 		
			while ( $loop->have_posts() ) : $loop->the_post();  
			
			//function code
				
				$testimonial_jobposition = get_post_meta( get_the_ID(), 'monex_testimonial_business_name', true ); 	
				
				
				switch($type):
				
				case 1:
				$out .='
					<div class="item">
						<div class="row">
						  <div class="col-sm-3 less_right"> '.get_the_post_thumbnail(get_the_ID(),'monex_testimonial').' </div>
						  <div class="col-sm-9 less_left">
							<div class="name_title">'. get_the_title() .', '.$testimonial_jobposition.'</div>
							<p><i class="fa fa-quote-left"></i> '.get_the_content().'</p>
						  </div>
						  </div>
					  </div>
				';
				
				break;
				
				case 2:
				
				$out .='
					<div class="item">
							<div class="jx-monex-testimonial-details">
								<div class="jx-monex-testimonial-image">'.get_the_post_thumbnail(get_the_ID(),'rebuild_testimonial').'</div>
								<div class="name">'. get_the_title() .'</div>
								<div class="position">'.$testimonial_jobposition.'</div>
							</div>

							<div class="description"><i class="fa fa-quote-left"></i> '.get_the_content().'</div>
							
					  </div>
				';
				
				
				break;
				
				endswitch;
							
				endwhile;
				
				
				$out .='</div>';
				
				if($type =='1'):
				$out .='<div class="customNavigation '.$text_style.'"> <a class="btn prev"><i class="fa fa-chevron-left"></i></a> <a class="btn next"><i class="fa fa-chevron-right"></i></a> </div>';
				endif;
				
				$out .='</div>';
			
			
			
			wp_reset_query(); 
		
		//return output
		return $out;
	}
	
	
	
	
	
	//Visual Composer
	
	
	add_action( 'vc_before_init', 'vc_testimonials' );
	
	
	function vc_testimonials() {	
		vc_map(array(
      "name" => esc_html__( "Testimonials", "TEXT_DOMAIN" ),
      "base" => "testimonials",
      "class" => "",
	  "icon" => get_template_directory_uri().'/images/icon/vc_testimonials.png',
      "category" => esc_html__( "Monex Shortcodes", "TEXT_DOMAIN"),
	  "description" => __('Add Testimonials','TEXT_DOMAIN'),
      "params" => array(
		
		
		array(
				"type" => "dropdown",
				"class" => "",
				"heading" => __("Select Type",'TEXT_DOMAIN'),
				"param_name" => "style",
				"value" => array(   
					__('Select Color Style', 'TEXT_DOMAIN') => 'Select Color Style',
					__('Light', 'TEXT_DOMAIN') => 'light',
					__('Dark', 'TEXT_DOMAIN') => 'dark'
					),
			),
			
		array(
				"type" => "dropdown",
				"class" => "",
				"heading" => __("Select Type",'TEXT_DOMAIN'),
				"param_name" => "type",
				"value" => array(   
					__('Select Type', 'TEXT_DOMAIN') => 'Select Type',
					__('Style A (Slider)', 'TEXT_DOMAIN') => '1',
					__('Style B', 'TEXT_DOMAIN') => '2'
					),
			),	
		 		 
        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__( "Post Count", "TEXT_DOMAIN" ),
            "param_name" => "post_count",
			"value" => "4",
            "description" => esc_html__( "Set post counts", "TEXT_DOMAIN" )
         )
		 
		
      )
   )); 
	}
	

	
	
?>